Subject: Re: [Sip] Minor anomaly in RFC 3261 Registration example?

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 01 Feb 2005 01:27:00 -0500

And in particular, this bug is in bugzilla already:
http://bugs.sipit.net/show_bug.cgi?id=682

-Jonathan R.

Robert Sparks wrote:

> The bugzilla database is available at bugs.sipit.net.
> 
> RjS
> 
> On Jan 14, 2005, at 4:06 PM, Jain, Rajnish wrote:
> 
>> Folks:
>>
>> Not sure if this minor anomaly has been reported before and is already 
>> logged in SIP bugzilla (which seems to be down right now). Apologies 
>> if this is a repetition.
>>
>>
>>
>> Section 10.3 of RFC 3261 states the following:
>>
>>       8. The registrar returns a 200 (OK) response.  The response MUST
>>           contain Contact header field values enumerating all current
>>           bindings.  Each Contact value MUST feature an "expires"
>>           parameter indicating its expiration interval chosen by the
>>           registrar.  The response SHOULD include a Date header field.
>>
>>
>>
>> Section 24.1 of RFC 3261 gives an example of 200 OK for a REGISTER as 
>> the following:
>>
>>         SIP/2.0 200 OK
>>          Via: SIP/2.0/UDP bobspc.biloxi.com:5060;branch=z9hG4bKnashds7
>>          ;received=192.0.2.4
>>         To: Bob <sip:[email-masked]>;tag=2493k59kd
>>         From: Bob <sip:[email-masked]>;tag=456248
>>         Call-ID: 843817637684230@998sdasdh09
>>         CSeq: 1826 REGISTER
>>          Contact: <sip:[email-masked]>
>>         Expires: 7200
>>          Content-Length: 0
>>
>>
>>
>> The "expires" parameter in the 200 OK's Contact header is missing in 
>> this example whereas it's a MUST in the text.
>>
>> Thanks,
>>  Rajnish
>>
>> Email     mailto:[email-masked]
>> SIP       sip:[email-masked]
>> PSTN      508-862-3215
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments on the application of sip
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip